All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.servlet.tbeans.tableview.wml
Class DefaultCellContentsRenderer

    com.sas.servlet.tbeans.tableview.wml.DefaultCellContentsRenderer

All Implemented Interfaces:
  com.sas.beans.PropertyChangeSource, com.sas.lang.ObjectDataInterface, RenderableInterface, TableCellContentsRenderer, TransformationInterface, com.sas.util.WriteToPrintWriterInterface, java.io.Serializable

Direct Known Subclasses:
  CellContentsNoRowsRenderer

    public class DefaultCellContentsRenderer

implements TableCellContentsRenderer

The DefaultCellContentsRenderer is a TransformationBean™ that generates the contents of the table's cells. This is the default renderer used to generate the contents of a cell for all cells in the TableView.

Note that the toString() method on this class calls the `write` method, which may have undesirable side effects. See BaseTransformation.toString() for more information. Debuggers often use toString() to show the value of a variable, and this may cause unexpected behavior while debugging

See Also:
  Serialized Form

Constructor Summary
`DefaultCellContentsRenderer()` Default constructor

Method Summary
`ActionList` | `getActions()` No implementation for this method.
`TransformationInterface` | `getCellContentsRendererComponent(AbstractBaseTableView viewer, java.lang.Object value, ActionList actions)` Returns the tbean used for rendering the contents of the tableview's cell.
`AbstractBaseTableView` | `getTableView()` Gets the instance of the AbstractBaseTableView containing this cell.
`java.lang.String` | `getText()` Gets the text.
`void` | `setActions(ActionList actions)` No implementation for this method.
`void` | `setLocale(java.util.Locale loc)` Set the locale
`void` | `setTableView(AbstractBaseTableView viewer)` Sets the instance of the AbstractBaseTableView containing this cell.
`void` | `setText(java.lang.String value)` Sets the text.
`void` | `write(java.io.PrintWriter out)` Writes the contents of the table's cell.

Methods inherited from class com.sas.servlet.tbeans.BaseTransformation
`addPropertyChangeListener, addPropertyChangeListener, cleanUpResources, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getCustomAttributes, getDescription, getId, getInputTransform, getLocale, getName, getObjectData, getObjectDataProperty, getOutputTransform, getRequest, getResponse, getTagEpilog, getTagProlog, hasListeners, isCleanUpResourcesOn, isVisible, removePropertyChangeListener, removePropertyChangeListener, setCleanUpResourcesOn, setCustomAttributes, setDescription, setId, setInputTransform, setLocaleDependentProperties, setName, setObjectData, setObjectDataProperty, setOutputTransform, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, toString, write, write, write`

Methods inherited from interface com.sas.servlet.tbeans.TransformationInterface
`getCustomAttributes, getDescription, getId, getLocale, getName, getRequest, getResponse, getTagEpilog, getTagProlog, isVisible, setCustomAttributes, setDescription, setId, setName, setRequest, setResponse, setTagEpilog, setTagProlog, setVisible, write, write, write`

Constructor Detail

### DefaultCellContentsRenderer

    public DefaultCellContentsRenderer()

  Default constructor

Method Detail

### getCellContentsRendererComponent

    public TransformationInterface getCellContentsRendererComponent(AbstractBaseTableView viewer,
                                                                    java.lang.Object value,
                                                                    ActionList actions)

  Returns the tbean used for rendering the contents of the tableview's cell. This method is used to configure the contents renderer appropriately before writing out the component.

  Specified by:
    `getCellContentsRendererComponent` in interface `TableCellContentsRenderer`
  Parameters:
    `viewer` - the instance of the tableview being written.
    `value` - the value to display as the cell's contents
    `actions` - an actionlist of all the valid actions for this cell
  Returns:
    the contents renderer for this cell

### write

    public void write(java.io.PrintWriter out)
               throws java.io.IOException

  Writes the contents of the table's cell. This method calls the cleanUpResources method at the end to reset the `request` and `response` back to null.

  Specified by:
    `write` in interface `TransformationInterface`
  Specified by:
    `write` in interface `com.sas.util.WriteToPrintWriterInterface`
  Overrides:
    `write` in class `BaseTransformation`
  Parameters:
    `out` - The output stream
  Throws:
    `java.io.IOException` - Thrown if some type of I/O error occurs

### setText

    public void setText(java.lang.String value)

  Sets the text.

  Parameters:
    `text` - The text

### getText

    public java.lang.String getText()

  Gets the text.

  Returns:
    text The text

### setActions

    public void setActions(ActionList actions)

  No implementation for this method. Cannot set actions on a wml TableView.

  Specified by:
    `setActions` in interface `TableCellContentsRenderer`
  Parameters:
    `actions` - an actionlist of all the valid actions for this cell

### getActions

    public ActionList getActions()

  No implementation for this method. Cannot set actions on a wml TableView.

  Specified by:
    `getActions` in interface `TableCellContentsRenderer`
  Returns:
    null

### setTableView

    public void setTableView(AbstractBaseTableView viewer)

  Sets the instance of the AbstractBaseTableView containing this cell.

  Specified by:
    `setTableView` in interface `TableCellContentsRenderer`
  Parameters:
    `tableview` - an instance of AbstractBaseTableView containing this cell

### getTableView

    public AbstractBaseTableView getTableView()

  Gets the instance of the AbstractBaseTableView containing this cell.

  Specified by:
    `getTableView` in interface `TableCellContentsRenderer`
  Returns:
    the tableview containing this cell

### setLocale

    public void setLocale(java.util.Locale loc)

  Set the locale

  Specified by:
    `setLocale` in interface `TransformationInterface`
  Overrides:
    `setLocale` in class `BaseTransformation`
  Parameters:
    `locale` -

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.